### Interface

# Goa Photos

since: 3.8.0

#### Description [src]

    interface Goa.Photos : GObject.Object

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.Photos.

Available since: 3.8.0

#### Prerequisite

In order to implement Photos, your type must inherit from`GObject`.

#### Implementations

- GoaPhotosProxy
- GoaPhotosSkeleton

#### Functions

###### goa_photos_interface_info

Gets a machine-readable description of the org.gnome.OnlineAccounts.Photos D-Bus interface.

since: 3.8.0

###### goa_photos_override_properties

Overrides all `GObject` properties in the `GoaPhotos` interface for a concrete class. The properties are overridden in the order they are defined.

since: 3.8.0

#### Interface structure

    struct GoaPhotosIface {
      GTypeInterface parent_iface;

    }

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.Photos.

###### Interface members

`parent_iface`

    GTypeInterface

| The parent interface.